> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Market Chart

> Gets the price, volume, market cap of a token at a given range on a predefined granularity.



## OpenAPI

````yaml /reference/api-json.json get /market-data/chart-range
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /market-data/chart-range:
    get:
      tags:
        - Market Data
      summary: Get Token Market Chart
      description: >-
        Gets the price, volume, market cap of a token at a given range on a
        predefined granularity.
      operationId: MarketDataMarketChartRange
      parameters:
        - name: id
          required: false
          in: query
          description: The ID of the coin to get market cap of
          schema:
            example: cg:ethereum
            type: string
        - name: currency
          required: true
          in: query
          description: Target currency (usd, eur, jpy, etc)
          schema:
            default: USD
            example: USD
            type: string
        - name: symbol
          required: false
          in: query
          description: Symbol of coin to get price of
          schema:
            default: ETH
            example: ETH
            type: string
        - name: from
          required: true
          in: query
          description: UNIX Timestamp (eg 1700000000)
          schema:
            default: 1776267334
            example: 1777044934
            type: number
        - name: to
          required: true
          in: query
          description: UNIX Timestamp (eg 1706000000)
          schema:
            default: 1777304134
            example: 1777304134
            type: number
        - name: chainId
          required: false
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: string
            example: '1'
        - name: tokenAddress
          required: false
          in: query
          description: The address of the token to query.
          schema:
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - CoinGecko
              - CoinMarketCap
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketDataMarketChartRangeResponse'
components:
  schemas:
    MarketDataMarketChartRangeResponse:
      type: object
      properties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````